Last Comment Bug 679149 - VKB jumping too much on maemo
: VKB jumping too much on maemo
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Widget: Qt (show other bugs)
: Trunk
: ARM Linux
: -- normal (vote)
: mozilla9
Assigned To: Oleg Romashin (:romaxa)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-15 14:43 PDT by Oleg Romashin (:romaxa)
Modified: 2016-07-11 21:54 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Use content.ime.strict.policy pref in Qt port (1.28 KB, patch)
2011-08-15 14:44 PDT, Oleg Romashin (:romaxa)
doug.turner: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Oleg Romashin (:romaxa) 2011-08-15 14:43:30 PDT
VKB jumping a lot on maemo (when VKB hided manually)... seems we need to filter some events from content like android port does
Comment 1 Oleg Romashin (:romaxa) 2011-08-15 14:44:46 PDT
Created attachment 553270 [details] [diff] [review]
Use content.ime.strict.policy pref in Qt port
Comment 2 Daniel Holbert [:dholbert] 2011-08-16 09:31:54 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/c377771c2ecd
Comment 4 :Ms2ger (⌚ UTC+1/+2) 2011-08-17 10:26:53 PDT
Comment on attachment 553270 [details] [diff] [review]
Use content.ime.strict.policy pref in Qt port

>     mIMEContext = aContext;
>+
>+     // Ensure that opening the virtual keyboard is allowed for this specific

Indentation is off.
Comment 5 Oleg Romashin (:romaxa) 2011-08-18 00:09:51 PDT
Comment on attachment 553270 [details] [diff] [review]
Use content.ime.strict.policy pref in Qt port

Fixes very annoying keyboard jumping behavior on N9/Harmattan.
Risk for other platforms minimal (Qt specific)

Note You need to log in before you can comment on or make changes to this bug.